<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: autologin.php
-------------------------------------------
*/

//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');

if (empty($_GET['ulog']) and empty($_GET['upas'])){
$login = strong($_POST['login']); //фильтрируем
$pass = md5(md5(md5(strong($_POST['pass'])))); //фильтрируем
} else {
$login = strong($_GET['ulog']);
$pass = md5(md5(md5(strong($_GET['upas']))));
}

$sql = mysql_query("SELECT `login` FROM `users` WHERE `login` = '".$login."' and `pass` = '".$pass."' LIMIT 1");
$dbsql = mysql_fetch_array(mysql_query("SELECT `login`,`pass` FROM `users` WHERE `login` = '".$login."' and `pass`='".$pass."' LIMIT 1"));

if(mysql_num_rows($sql)){
//-----Ставим куки-----//			
setcookie('uslog', $dbsql['login'], time()+86400*365, '/');
setcookie('uspass', $pass, time()+86400*365, '/');
//-----Перекидаем на главную-----//
header('location: /');
exit();

} else {

$title = 'Авторизация';

echo '<div class="title">Авторизация</div>';

//-----Проверяем на ввод логина-----//
if(empty($login)) {
echo '<div class="podmenu"><center><b>Вы не ввели логин!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($login) > 20 or mb_strlen($login) < 3) {
echo '<div class="podmenu"><center><b>Введите логин от 3 до 20 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверка на символы-----//
if(!preg_match('|^[a-z0-9\-]+$|i', $login)) {
echo '<div class="podmenu"><center><b>Кириллица запрещена в логине!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверяем на ввод пароля-----//
if(empty($pass)) {
echo '<div class="podmenu"><center><b>Вы не ввели свой пароль!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(mb_strlen($pass) < 5) {
echo '<div class="podmenu"><center><b>Введите пароль от 5 символов!</b></center></div>';
require_once ('system/footer.php');
exit();
}

//-----Проверка на символы-----//
if(!preg_match('|^[a-z0-9\-]+$|i', $pass)) {
echo '<div class="podmenu"><center><b>Кириллица запрещена в пароле!</b></center></div>';
require_once ('system/footer.php');
exit();
}

if(!empty($login) && !empty($pass)) if($dbsql==0) {
echo '<div class="podmenu"><center><b>Такого пользователя не существует!</b></center></div>';
require_once ('system/footer.php');
exit();
}
}

?>